Geo targeting
ISP / ASN targeting
Target a specific ASN (Autonomous System Number), usually together with a country. This is a username flag on proxy.geonode.io, not a separate HTTP management API.
Auth
Use your Geonode proxy username and password with the proxy URL.
Username syntax
| Form | Example username suffix |
|---|---|
| Country + ASN | -country-US-asn-7922 |
<geonode_username>-country-<COUNTRY>-asn-<ASN_NUMBER>:<geonode_password>ASN values are numeric (no AS prefix in the flag). Use Available Geo-locations to find ASNs.
Rules
- Include
-country-with-asn-. - You can also use
-type-residential/-type-datacenter/-type-mixedwith these flags.
Parameters
| Name | In | Required | Description |
|---|---|---|---|
geonode_username | proxy user | yes | Dashboard proxy username |
geonode_password | proxy user | yes | Dashboard proxy password |
country | username flag | yes | ISO country code |
asn | username flag | yes | ASN number |
port | proxy URL | yes | Proxy port |
Example
curl -x "http://proxy.geonode.io:<port>" \
--proxy-user "<geonode_username>-country-US-asn-7922:<geonode_password>" \
"http://ip-api.com/json"Response
ip-api.com egress check (not a Geonode schema). Field set matches other geo checks (country, as, query, …). There are no separate continent fields in this check response.
Example with -country-US-asn-7922 (as starts with AS7922):
{
"status": "success",
"country": "United States",
"countryCode": "US",
"region": "NJ",
"regionName": "New Jersey",
"city": "Egg Harbor Township",
"zip": "08234",
"lat": 39.3773,
"lon": -74.6123,
"timezone": "America/New_York",
"isp": "Comcast Cable Communications",
"org": "Comcast IP Services, L.L.C.",
"as": "AS7922 Comcast Cable Communications, LLC",
"query": "73.178.10.88"
}Useful fields: as, isp, countryCode, query.
Related
Was this page helpful?